Package org.h2gis.functions.spatial.earth

## Class ST_Isovist

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.earth.ST_Isovist

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Isovist
    extends org.h2gis.api.DeterministicScalarFunction

ST_Isovist ST_Isovist takes LINESTRING(S) or POLYGON(S) as input and a maximum distance (spatial ref units). This function compute the visibility polygon obstructed by provided "walls". Provided segments will be enclosed by a circle defined by maximum distance parameter.

Author:
  Nicolas Fortin, Ifsttar UMRAE

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Isovist()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `isovist​(org.locationtech.jts.geom.Geometry viewPoint, org.locationtech.jts.geom.Geometry lineSegments, double maxDistance)` This function compute the visibility polygon
`static org.locationtech.jts.geom.Geometry` `isovist​(org.locationtech.jts.geom.Geometry viewPoint, org.locationtech.jts.geom.Geometry lineSegments, double maxDistance, double radBegin, double radSize)` This function compute the visibility polygon

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Isovist

    public ST_Isovist()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### isovist

    public static org.locationtech.jts.geom.Geometry isovist​(org.locationtech.jts.geom.Geometry viewPoint,
                                                             org.locationtech.jts.geom.Geometry lineSegments,
                                                             double maxDistance)
                                                      throws SQLException

This function compute the visibility polygon

Parameters:
  `viewPoint` - Point instance, isovist location
  `lineSegments` - Occlusion segments. Geometry collection or polygon or linestring
  `maxDistance` - Maximum distance of view from viewPoint (spatial ref units)
Returns:
  The visibility polygon
Throws:
  `SQLException` - In case of wrong parameters

#### isovist

    public static org.locationtech.jts.geom.Geometry isovist​(org.locationtech.jts.geom.Geometry viewPoint,
                                                             org.locationtech.jts.geom.Geometry lineSegments,
                                                             double maxDistance,
                                                             double radBegin,
                                                             double radSize)
                                                      throws SQLException

This function compute the visibility polygon

Parameters:
  `viewPoint` - Point instance, isovist location
  `lineSegments` - Occlusion segments. Geometry collection or polygon or linestring
  `maxDistance` - Maximum distance of view from viewPoint (spatial ref units)
  `radBegin` - Constraint view angle start in radian
  `radSize` - Constraint view angle size in radian
Returns:
  The visibility polygon
Throws:
  `SQLException` - In case of wrong parameters